export type ICellProps = {
    /**
     * Whether to execute directly the code cell or not.
     */
    autoStart?: boolean;
    /**
     * An id that can be provided to identify unique cell
     */
    id: string;
    /**
     * Cell source
     */
    source?: string;
    /**
     * Whether to start the default kernel or not
     */
    startDefaultKernel?: boolean;
    /**
     * Whether to show the toolbar for cell or not
     */
    showToolbar?: boolean;
    /**
     * Cell type
     */
    type: 'code' | 'markdown' | 'raw';
};
export declare const Cell: {
    (props: ICellProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<ICellProps>;
};
export default Cell;
